package de.unikoblenz.fgbks.api;

import de.unikoblenz.fgbks.core.dmn.verification.DmnVerificationService;
import io.quarkus.runtime.ShutdownEvent;
import io.quarkus.runtime.StartupEvent;
import javax.enterprise.context.ApplicationScoped;
import javax.enterprise.event.Observes;
import javax.inject.Inject;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

@ApplicationScoped
public class AppLifecycleBean {

  private static final Logger LOGGER = LoggerFactory.getLogger("AppLifecycle");

  @Inject
  DmnVerificationService dmnVerificationService;

  void onStart(@Observes StartupEvent ev) {
    LOGGER.info("The dmn verification application is starting...");
    dmnVerificationService.initVerifier();
  }

  void onStop(@Observes ShutdownEvent ev) {
    LOGGER.info("The dmn verification application is stopping...");
  }
}
