package de.unikoblenz.fgbks.base.domain;

import de.unikoblenz.fgbks.base.value.AbstractStringValueObject;

/**
 * A value object representing a message.
 */
public class Message extends AbstractStringValueObject {

  /** Create a new copy of the given message object. */
  public Message(Message initialValue) {
    this(initialValue.getValue());
  }

  /** Create a message object with the given {@code initialValue}. */
  public Message(String initialValue) {
    super(initialValue);
  }

  @Override
  protected Integer getMaxLength() {
    return 500;
  }
}
