package de.unikoblenz.fgbks.base.domain;

import de.unikoblenz.fgbks.base.value.AbstractStringValueObject;

/**
 * A value object representing a name.
 */
public class Name extends AbstractStringValueObject {

  /** Create a new copy of the given name object. */
  public Name(Name initialValue) {
    this(initialValue.getValue());
  }

  /** Create a name object with the given {@code initialValue}. */
  public Name(String initialValue) {
    super(initialValue);
  }

  @Override
  protected Integer getMaxLength() {
    return 50;
  }
}
