package de.unikoblenz.fgbks.base.domain;

import de.unikoblenz.fgbks.base.value.AbstractStringValueObject;

/**
 * A value object representing a text.
 */
public class Text extends AbstractStringValueObject {

  /** Create a new copy of the given text object. */
  public Text(Text initialValue) {
    this(initialValue.getValue());
  }

  /** Create a text object with the given {@code initialValue}. */
  public Text(String initialValue) {
    super(initialValue);
  }

  @Override
  protected boolean handleBlanksAsNull() {
    return false;
  }

  @Override
  protected Integer getMaxLength() {
    return 1000;
  }

  @Override
  protected Integer getMinLength() {
    return 0; // can be blank
  }
}
