package de.unikoblenz.fgbks.core.dmn.domain.ids;

import de.unikoblenz.fgbks.core.dmn.domain.vdmn.VDmnDecision;

/**
 * A decision id, representing the id of a {@link VDmnDecision}.
 */
@JsonIdentifier("decisionId")
public class DecisionId extends AbstractId {

  /**
   * Create a new copy of the initialValue with the id value of the given Id object.
   *
   * @param initialValue the original id
   */
  public DecisionId(DecisionId initialValue) {
    this(initialValue.getValue());
  }

  /**
   * Create new DecisionId with the id value of the initialValue.
   *
   * @param initialValue the value of the new id
   */
  public DecisionId(String initialValue) {
    super(initialValue);
  }
}
