package de.unikoblenz.fgbks.core.dmn.domain.ids;

import de.unikoblenz.fgbks.core.dmn.domain.vdmn.VDmnDefinition;

/**
 * A definition id, representing the id of a {@link VDmnDefinition}.
 */
@JsonIdentifier("definitionId")
public class DefinitionId extends AbstractId {

  /**
   * Create a new copy of the initialValue with the id value of the given Id object.
   *
   * @param initialValue the original id
   */
  public DefinitionId(DefinitionId initialValue) {
    this(initialValue.getValue());
  }

  /**
   * Create new DefinitionId with the id value of the initialValue.
   *
   * @param initialValue the value of the new id
   */
  public DefinitionId(String initialValue) {
    super(initialValue);
  }
}
