package de.unikoblenz.fgbks.core.dmn.domain.ids;

import de.unikoblenz.fgbks.core.dmn.domain.vdmn.VDmnInputData;

/**
 * A InputDataId id, representing the id of a {@link VDmnInputData}.
 */
@JsonIdentifier("ruleId")
public class InputDataId extends AbstractId {

  /**
   * Create a new copy of the initialValue with the id value of the given Id object.
   *
   * @param initialValue the original id
   */
  public InputDataId(InputDataId initialValue) {
    this(initialValue.getValue());
  }

  /**
   * Create new InputDataId with the id value of the initialValue.
   *
   * @param initialValue the value of the new id
   */
  public InputDataId(String initialValue) {
    super(initialValue);
  }
}
