package de.unikoblenz.fgbks.core.dmn.domain.ids;

import de.unikoblenz.fgbks.core.dmn.domain.vdmn.VDmnInputColumn;

/**
 * A input id, representing the id of the a {@link VDmnInputColumn}.
 */
@JsonIdentifier("inputId")
public class InputId extends ColumnId {

  /**
   * Create a new copy of the initialValue with the id value of the given Id object.
   *
   * @param initialValue the original id
   */
  public InputId(InputId initialValue) {
    this(initialValue.getValue());
  }

  /**
   * Create new InputId with the id value of the initialValue.
   *
   * @param initialValue the value of the new id
   */
  public InputId(String initialValue) {
    super(initialValue);
  }
}
