package de.unikoblenz.fgbks.core.dmn.domain.ids;

import de.unikoblenz.fgbks.core.dmn.domain.vdmn.VDmnOutputColumn;

/**
 * A output id, representing the id of the a {@link VDmnOutputColumn}.
 */
@JsonIdentifier("outputId")
public class OutputId extends ColumnId {

  /**
   * Create a new copy of the initialValue with the id value of the given Id object.
   *
   * @param initialValue the original id
   */
  public OutputId(OutputId initialValue) {
    super(initialValue.getValue());
  }

  /**
   * Create new OutputId with the id value of the initialValue.
   *
   * @param initialValue the value of the new id
   */
  public OutputId(String initialValue) {
    super(initialValue);
  }
}
