package de.unikoblenz.fgbks.core.dmn.domain.vdmn;

import de.unikoblenz.fgbks.core.dmn.domain.ids.OutputId;
import java.util.List;

/**
 * This interface represents a output column in a {@link VDmnDecisionTable}. A column contains a
 * list of {@link VDmnOutputValue}s.
 */
public interface VDmnOutputColumn extends VDmnColumn {

  // TODO: For future work:
  // List<VDmnInputColumn> getConnectedInputColumns();
  // List<VDmnNode> getConnectedNodes();

  /**
   * Get the {@link OutputId} of the column.
   *
   * @return the {@link OutputId}.
   */
  default OutputId getOutputId() {
    return (OutputId) getColumnId();
  }

  /**
   * Get the list of {@link VDmnOutputValue} of the column.
   *
   * @return the list of {@link VDmnOutputValue}.
   */
  default List<VDmnOutputValue> getDmnOutputValues() {
    return (List<VDmnOutputValue>) (List<?>) getValues();
  }
}
