package de.unikoblenz.fgbks.core.dmn.domain.vdmn.impl;

import de.unikoblenz.fgbks.base.domain.Description;
import de.unikoblenz.fgbks.base.domain.Text;
import de.unikoblenz.fgbks.core.dmn.domain.vdmn.VDmnColumn;
import de.unikoblenz.fgbks.core.dmn.domain.vdmn.VDmnRule;
import de.unikoblenz.fgbks.core.dmn.domain.vdmn.VDmnValue;
import java.util.Optional;

/**
 * Implementation of {@link VDmnValue}
 */
public abstract class AbstractVDmnValue extends AbstractVDmnElement implements VDmnValue {

  protected VDmnRule dmnRule;
  protected Text text;
  protected Description description;
  protected VDmnColumn dmnColumn;

  @Override
  public VDmnRule getDmnRule() {
    return dmnRule;
  }

  @Override
  public Text getText() {
    return text;
  }

  @Override
  public Optional<Description> getDescription() {
    return Optional.of(description);
  }

  @Override
  public VDmnColumn getDmnColumn() {
    return dmnColumn;
  }
}
