package de.unikoblenz.fgbks.core.dmn.verification.metrics;

import de.unikoblenz.fgbks.core.dmn.verification.verifier.types.VerificationType;
import javax.enterprise.context.ApplicationScoped;

/**
 * Service class for adding statistics of execution time of {@link VerificationType}s with the
 * function {@link DmnVerificationMetricsService#addExecutionTime}. The statistic metrics can be
 * accessed with {@link DmnVerificationMetricsService#getMetrics()} to get a {@link MetricSet}
 * object.
 */
@ApplicationScoped
public class DmnVerificationMetricsService {

  MetricSet metricSet;

  protected DmnVerificationMetricsService() {
    metricSet = new MetricSet();
  }

  /**
   * Get the current {@link Metric}s in a {@link MetricSet}.
   *
   * @return the {@link MetricSet}
   */
  public MetricSet getMetrics() {
    return metricSet;
  }

  /**
   * Add a execution time tho the given {@link VerificationType}.
   *
   * @param type the {@link VerificationType}
   * @param timeInNs the time in ns
   */
  public void addExecutionTime(VerificationType type, long timeInNs) {
    metricSet.addExecutionTime(type, timeInNs);
  }
}
