package de.unikoblenz.fgbks.core.dmn.verification.verifier.classification;

import de.unikoblenz.fgbks.base.domain.Description;
import de.unikoblenz.fgbks.base.domain.Name;

public abstract class AbstractClassificationType implements ClassificationType {

  protected Name name;
  protected Name niceName;
  protected Description description;

  protected AbstractClassificationType(Name name, Name niceName, Description description) {
    this.name = name;
    this.niceName = niceName;
    this.description = description;
  }

  protected AbstractClassificationType(Name name, Description description) {
    this(name, new Name(name), description);
  }

  @Override
  public Name getName() {
    return name;
  }

  @Override
  public Name getNiceName() {
    return niceName;
  }

  @Override
  public Description getDescription() {
    return description;
  }
}
