package de.unikoblenz.fgbks.core.dmn.verification.verifier.impl;

import static de.unikoblenz.fgbks.core.dmn.verification.result.actions.VerificationFix.SHOW_OUTPUT_ENTRIES;

import de.unikoblenz.fgbks.core.dmn.domain.vdmn.VDmnOutputColumn;
import de.unikoblenz.fgbks.core.dmn.domain.vdmn.VDmnOutputValue;
import de.unikoblenz.fgbks.core.dmn.domain.vdmn.utils.VDmnFunctions;
import de.unikoblenz.fgbks.core.dmn.verification.result.VerificationResultEntry.VerificationClassification;
import de.unikoblenz.fgbks.core.dmn.verification.result.VerificationResultEntryElement;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.AbstractVerifier;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.DmnVerifier;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.types.EmptyOutputVerification;

@DmnVerifier(verifierType = EmptyOutputVerification.class)
public class EmptyOutputVerifier extends AbstractVerifier {

  @Override
  protected void doVerification() {
    for (VDmnOutputColumn outputColumn :
        VDmnFunctions.getOutputColumns(dmnObjectContainer.getVDmnDefinition())) {
      checkOutputColumn(outputColumn);
    }
  }

  private void checkOutputColumn(VDmnOutputColumn outputColumn) {
    for (VDmnOutputValue outputValue : outputColumn.getDmnOutputValues()) {
      checkEmptyOutputValue(outputValue);
    }
  }

  private void checkEmptyOutputValue(VDmnOutputValue outputValue) {
    if (outputValue.getText().getValue().isEmpty()) {
      vreFactory.addElement(VerificationResultEntryElement.create(outputValue));
      vreFactory.addVerificationFix(SHOW_OUTPUT_ENTRIES);
      vreFactory.addToEntry(VerificationClassification.WARNING, "Output value is empty.'");
    }
  }
}
