package de.unikoblenz.fgbks.core.dmn.verification.verifier.types;

import de.unikoblenz.fgbks.base.domain.Description;
import de.unikoblenz.fgbks.base.domain.Name;
import java.util.Objects;

public abstract class AbstractVerificationType implements VerificationType {

  protected Name name;
  protected Name niceName;
  protected Description description;

  protected AbstractVerificationType(Name name, Name niceName, Description description) {
    this.name = name;
    this.niceName = niceName;
    this.description = description;
  }

  protected AbstractVerificationType(Name name, Description description) {
    this(name, new Name(name), description);
  }

  @Override
  public Name getName() {
    return name;
  }

  @Override
  public Name getNiceName() {
    return niceName;
  }

  @Override
  public Description getDescription() {
    return description;
  }

  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    AbstractVerificationType that = (AbstractVerificationType) o;
    return name.equals(that.name);
  }

  @Override
  public int hashCode() {
    return Objects.hash(name);
  }
}
