package de.unikoblenz.fgbks.core.dmn.verification.verifier.types;

import de.unikoblenz.fgbks.base.domain.Description;
import de.unikoblenz.fgbks.base.domain.Name;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.classification.ClassificationType;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.classification.SyntaxLevelVerification;
import javax.validation.constraints.NotNull;

@Type
public class DateVerification extends AbstractVerificationType {

  private static final DateVerification instance = new DateVerification();

  private DateVerification() {
    super(
        new Name("DateFormatVerification"),
        new Name("Date Format Check"),
        new Description("test")); // TODO
  }

  public static DateVerification getInstance() {
    return instance;
  }

  @Override
  public @NotNull ClassificationType getClassification() {
    return SyntaxLevelVerification.getInstance();
  }
}
