package de.unikoblenz.fgbks.core.dmn.verification.verifier.types;

import de.unikoblenz.fgbks.base.domain.Description;
import de.unikoblenz.fgbks.base.domain.Name;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.classification.ClassificationType;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.classification.DecisionLogicLevelVerification;
import javax.validation.constraints.NotNull;

@Type
public class EquivalentStringVerification extends AbstractVerificationType {

  private static final EquivalentStringVerification instance = new EquivalentStringVerification();

  private EquivalentStringVerification() {
    super(
        new Name("EquivalentStringVerification"),
        new Name("Equivalent Strings"),
        new Description("test")); // TODO
  }

  public static EquivalentStringVerification getInstance() {
    return instance;
  }

  @Override
  public @NotNull ClassificationType getClassification() {
    return DecisionLogicLevelVerification.getInstance();
  }
}
