package de.unikoblenz.fgbks.core.dmn.verification.verifier.types;

import de.unikoblenz.fgbks.base.domain.Description;
import de.unikoblenz.fgbks.base.domain.Name;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.classification.ClassificationType;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.classification.DecisionLogicLevelVerification;
import javax.validation.constraints.NotNull;

@Type
public class IdenticalBusinessRuleVerification extends AbstractVerificationType {

  private static final IdenticalBusinessRuleVerification instance =
      new IdenticalBusinessRuleVerification();

  private IdenticalBusinessRuleVerification() {
    super(new Name("Identical Rules"), new Description("test")); // TODO
  }

  public static IdenticalBusinessRuleVerification getInstance() {
    return instance;
  }

  @Override
  public @NotNull ClassificationType getClassification() {
    return DecisionLogicLevelVerification.getInstance();
  }
}
