package de.unikoblenz.fgbks.core.dmn.verification.verifier.types;

import de.unikoblenz.fgbks.base.domain.Description;
import de.unikoblenz.fgbks.base.domain.Name;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.classification.ClassificationType;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.classification.SyntaxLevelVerification;
import javax.validation.constraints.NotNull;

@Type
public class InputValueSyntaxVerification extends AbstractVerificationType {

  private static final InputValueSyntaxVerification instance = new InputValueSyntaxVerification();

  private InputValueSyntaxVerification() {
    super(
        new Name("InputValueSyntaxVerification"),
        new Name("Input Value Syntax Check"),
        new Description("Check values for syntactical correctness."));
  }

  public static InputValueSyntaxVerification getInstance() {
    return instance;
  }

  @Override
  public @NotNull ClassificationType getClassification() {
    return SyntaxLevelVerification.getInstance();
  }
}
