package de.unikoblenz.fgbks.core.dmn.verification.verifier.types;

import de.unikoblenz.fgbks.base.domain.Description;
import de.unikoblenz.fgbks.base.domain.Name;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.classification.ClassificationType;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.classification.DrdModelingLevelVerification;
import javax.validation.constraints.NotNull;

@Type
public class MissingInputColumnVerification extends AbstractVerificationType {

  private static final MissingInputColumnVerification instance =
      new MissingInputColumnVerification();

  private MissingInputColumnVerification() {
    super(
        new Name("MissingInputColumnVerification"),
        new Name("Missing Input Column"),
        new Description("todo")); // TODO
  }

  public static MissingInputColumnVerification getInstance() {
    return instance;
  }

  @Override
  public @NotNull ClassificationType getClassification() {
    return DrdModelingLevelVerification.getInstance();
  }
}
