package de.unikoblenz.fgbks.core.dmn.verification.verifier.types;

import de.unikoblenz.fgbks.base.domain.Description;
import de.unikoblenz.fgbks.base.domain.Name;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.classification.ClassificationType;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.classification.DrdModelingLevelVerification;
import javax.validation.constraints.NotNull;

@Type
public class MissingInputDataVerification extends AbstractVerificationType {

  private static final MissingInputDataVerification instance =
      new MissingInputDataVerification();

  private MissingInputDataVerification() {
    super(
        new Name("MissingInputDataVerification"),
        new Name("Missing Input Data"),
        new Description(
            "todo")); // TODO
  }

  public static MissingInputDataVerification getInstance() {
    return instance;
  }

  @Override
  public @NotNull ClassificationType getClassification() {
    return DrdModelingLevelVerification.getInstance();
  }
}
