package de.unikoblenz.fgbks.core.dmn.verification.verifier.types;

import de.unikoblenz.fgbks.base.domain.Description;
import de.unikoblenz.fgbks.base.domain.Name;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.classification.ClassificationType;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.classification.DecisionLogicLevelVerification;
import javax.validation.constraints.NotNull;

@Type
public class OverlappingVerification extends AbstractVerificationType {

  private static final OverlappingVerification instance = new OverlappingVerification();

  private OverlappingVerification() {
    super(
        new Name("OverlappingVerification"),
        new Name("Overlapping Rules"),
        new Description("test")); // TODO
  }

  public static OverlappingVerification getInstance() {
    return instance;
  }

  @Override
  public @NotNull ClassificationType getClassification() {
    return DecisionLogicLevelVerification.getInstance();
  }
}
