package de.unikoblenz.fgbks.core.dmn.verification.verifier.types;

import de.unikoblenz.fgbks.base.domain.Description;
import de.unikoblenz.fgbks.base.domain.Name;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.classification.ClassificationType;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.classification.ModelingLevelVerification;
import javax.validation.constraints.NotNull;

@Type
public class PredefinedExistingValueVerification extends AbstractVerificationType {

  private static final PredefinedExistingValueVerification instance = new PredefinedExistingValueVerification();

  private PredefinedExistingValueVerification() {
    super(
        new Name("PredefinedExistingValueVerification"),
        new Name("Predefined Existing Values"),
        new Description(
            "Es gibt in einer Tabellen-Zelle einen String Value, der aber nicht in der Liste der "
                + "Predefines Values vorgesehen ist.")); // TODO englisch
  }

  public static PredefinedExistingValueVerification getInstance() {
    return instance;
  }

  @Override
  public @NotNull ClassificationType getClassification() {
    return ModelingLevelVerification.getInstance();
  }
}
