package de.unikoblenz.fgbks.base.utils.boundary.checker;

import io.quarkus.test.junit.QuarkusTest;
import org.junit.jupiter.api.Test;

@QuarkusTest
class CheckInContactTest extends AbstractCheckerTest {

  @Test
  void check() {
    super.checker = CheckInContact.getInstance();
    doNumCheck("<1", "<5", true);
    doNumCheck(">1", "<5", true);
    doNumCheck("<1", ">5", false);
    doNumCheck("[1..2]", ">5", false);
    doNumCheck("[1..2]", ">2", false);
    doNumCheck("[1..2]", "<2", true);
    doNumCheck("[1..2]", "<1", false);
    doNumCheck("[1..2]", "<=1", true);
    doNumCheck("]1..2]", "<=1", false);
    doNumCheck("]1..2]", "<1", false);
    doNumCheck("[1..2]", "<1", false);
    doNumCheck("[1..2]", "[1..2]", true);
    doNumCheck("=1", "=1", true);
    doNumCheck("[1..3]", "=1", true);
    doNumCheck("[1..3]", "=2", true);
    doNumCheck("[1..3]", "=3", true);
    doNumCheck("[1..3]", "=0", false);
    doNumCheck("[1..3]", "=4", false);
    doNumCheck("[1..3]", "<=4", true);
    doNumCheck("", "]1..3[", true);
    doNumCheck("", "=2", true);
  }

  @Override
  protected boolean checkBothWays() {
    return true;
  }
}
