package de.unikoblenz.fgbks.base.utils.boundary.checker;

import io.quarkus.test.junit.QuarkusTest;
import org.junit.jupiter.api.Test;

@QuarkusTest
class CheckNotInContactTest extends AbstractCheckerTest {

  @Test
  void check() {
    super.checker = CheckNotInContact.getInstance();
    doNumCheck("<1", "<5", false);
    doNumCheck(">1", "<5", false);
    doNumCheck("<1", ">5", true);
    doNumCheck("[1..2]", ">5", true);
    doNumCheck("[1..2]", ">2", true);
    doNumCheck("[1..2]", "<2", false);
    doNumCheck("[1..2]", "<1", true);
    doNumCheck("[1..2]", "<=1", false);
    doNumCheck("]1..2]", "<=1", true);
    doNumCheck("]1..2]", "<1", true);
    doNumCheck("[1..2]", "<1", true);
    doNumCheck("[1..2]", "[1..2]", false);
    doNumCheck("=1", "=1", false);
    doNumCheck("[1..3]", "=1", false);
    doNumCheck("[1..3]", "=2", false);
    doNumCheck("[1..3]", "=3", false);
    doNumCheck("[1..3]", "=0", true);
    doNumCheck("[1..3]", "=4", true);
    doNumCheck("[1..3]", "<=4", false);
    doNumCheck("", "]1..3[", false);
    doNumCheck("", "=2", false);
  }

  @Override
  protected boolean checkBothWays() {
    return true;
  }
}
