package de.unikoblenz.fgbks.base.utils.boundary.checker;

import org.junit.jupiter.api.Test;

class CheckStringSubsumesTest extends AbstractStringCheckerTest {

  @Test
  void check() {
    super.checker = CheckStringSubsumes.getInstance();
    doStringCheck("\"a\"", "\"a\"", false);
    doStringCheck("\"a\"", "\"b\"", false);
    doStringCheck("\"a\"", "not(\"a\")", false);
    doStringCheck("\"a\"", "not(\"b\")", false);
    doStringCheck("\"a\"", "\"a\",\"b\"", false);
    doStringCheck("\"a\"", "\"c\",\"b\"", false);
    doStringCheck("\"a\"", "not(\"a\",\"b\")", false);
    doStringCheck("\"a\"", "not(\"c\",\"b\")", false);
    doStringCheck("\"a\"", "\"a\"", false);
    doStringCheck("\"b\"", "\"a\"", false);
    doStringCheck("not(\"a\")", "\"a\"", false);
    doStringCheck("not(\"b\")", "\"a\"", true);
    doStringCheck("\"a\",\"b\"", "\"a\"", true);
    doStringCheck("\"c\",\"b\"", "\"a\"", false);
    doStringCheck("not(\"a\",\"b\")", "\"a\"", false);
    doStringCheck("not(\"c\",\"b\")", "\"a\"", true);
    doStringCheck("not(\"c\",\"b\")", "not(\"c\",\"b\")", false);
    doStringCheck("not(\"a\",\"c\",\"b\")", "not(\"c\",\"b\")", false);
    doStringCheck("not(\"b\")", "not(\"c\",\"b\")", true);
    doStringCheck("", "\"c\",\"b\"", true);
    doStringCheck("", "\"c\"", true);
    doStringCheck("\"c\",\"b\"", "", false);
    doStringCheck("\"c\"", "", false);
    doStringCheck("", "", false);
  }

  @Override
  protected boolean checkBothWays() {
    return false;
  }
}
