package de.unikoblenz.fgbks.base.utils.boundary.checker;

import io.quarkus.test.junit.QuarkusTest;
import org.junit.jupiter.api.Test;

@QuarkusTest
class CheckSubsumesTest extends AbstractCheckerTest {

  @Test
  void check() {
    super.checker = CheckSubsumes.getInstance();
    doNumCheck("<1", "<5", false);
    doNumCheck("<5", "<1", true);
    doNumCheck("<1", ">5", false);
    doNumCheck("[1..2]", ">5", false);
    doNumCheck("[1..2]", ">2", false);
    doNumCheck("[1..2]", "<2", false);
    doNumCheck("[1..2]", "<1", false);
    doNumCheck("[1..2]", "<=1", false);
    doNumCheck("]1..2]", "<=1", false);
    doNumCheck("]1..2]", "<1", false);
    doNumCheck("[1..2]", "<1", false);
    doNumCheck("[1..2]", "[1..2]", false);
    doNumCheck("=1", "=1", false);
    doNumCheck("[1..3]", "=1", true);
    doNumCheck("[1..3]", "=2", true);
    doNumCheck("[1..3]", "=3", true);
    doNumCheck("[1..4]", "[2..3]", true);
    doNumCheck("[1..4]", "]1..4[", true);
    doNumCheck("[1..3]", "=0", false);
    doNumCheck("[1..3]", "=4", false);
    doNumCheck("[1..3]", "<=4", false);
    doNumCheck("[1..3]", "<4", false);
    doNumCheck("[1..3]", "<=3", false);
    doNumCheck("[1..3]", ">0", false);
    doNumCheck("[1..3]", ">=1", false);
    doNumCheck("[1..3]", ">1", false);
    doNumCheck("[1..3]", ">=2", false);
    doNumCheck("=0", "[1..3]", false);
    doNumCheck("=4", "[1..3]", false);
    doNumCheck("<=4", "[1..3]", true);
    doNumCheck("<4", "[1..3]", true);
    doNumCheck("<=3", "[1..3]", true);
    doNumCheck(">0", "[1..3]", true);
    doNumCheck(">=1", "[1..3]", true);
    doNumCheck(">1", "[1..3]", false);
    doNumCheck(">=2", "[1..3]", false);
    doNumCheck("=2", "=2", false);
    doNumCheck("<2", "<2", false);
    doNumCheck("<=2", "<=2", false);
    doNumCheck(">2", ">2", false);
    doNumCheck(">=2", ">=2", false);
    doNumCheck("[1..3]", "[1..3]", false);
    doNumCheck("[1..3[", "[1..3[", false);
    doNumCheck("]1..3]", "]1..3]", false);
    doNumCheck("]1..3[", "]1..3[", false);
    doNumCheck("]1..3[", "", false);
    doNumCheck("=1", "", false);
    doNumCheck("", "]1..3[", true);
    doNumCheck("", "=2", true);
  }

  @Override
  protected boolean checkBothWays() {
    return false;
  }
}
