package de.unikoblenz.fgbks.base.utils.boundary.impl;

import io.quarkus.test.junit.QuarkusTest;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

@QuarkusTest
class StringBoundaryTest {

  @Test
  public void testBuilder() {
    StringBoundary sb = StringBoundary.getBuilder().addValue("a").build();
    Assertions.assertEquals("a", sb.getValues()[0]);
    Assertions.assertFalse(sb.matchesAny());
    Assertions.assertFalse(sb.matchesNoneOfValues());
    Assertions.assertEquals("\"a\"", sb.getText());

    sb = StringBoundary.getBuilder().addValue("a").addValue("b").matchesNoneOfValues(true).build();
    Assertions.assertEquals("a", sb.getValues()[0]);
    Assertions.assertFalse(sb.matchesAny());
    Assertions.assertTrue(sb.matchesNoneOfValues());
    Assertions.assertEquals("not(\"a\",\"b\")", sb.getText());
  }
}
